# Modules

Modules in Midio serve as an organizational tool for structuring your code, separating different parts of the program into distinct and manageable units.

A module can contain other modules, function definitions, and type definitions, allowing for a hierarchical organization of your program. In addition to these structural elements, modules can also contain flows.

Modules can also have instances of events, which is not possible inside functions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.midio.com/midio-docs/reference/the-midio-language/modules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
